> ## Documentation Index
> Fetch the complete documentation index at: https://docs.scrapebadger.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Google search suggestions

> Get Google search autocomplete suggestions.



## OpenAPI

````yaml GET /v1/google/autocomplete
openapi: 3.1.0
info:
  title: ScrapeBadger Google Scraper API
  version: 1.0.0
  description: >-
    Structured JSON APIs for 16 Google product APIs: Search, Maps, News, Hotels,
    Trends, Jobs, Shopping, Patents, Scholar, Autocomplete, Images, Videos,
    Finance, AI Mode, Lens, Products.
servers:
  - url: https://scrapebadger.com
security: []
paths:
  /v1/google/autocomplete:
    get:
      tags:
        - Google Autocomplete
      summary: Google search suggestions
      description: Get Google search autocomplete suggestions.
      operationId: autocomplete_v1_google_autocomplete_get
      parameters:
        - name: q
          in: query
          required: true
          schema:
            type: string
            description: Search query to get suggestions for
            title: Q
          description: Search query to get suggestions for
        - name: hl
          in: query
          required: false
          schema:
            type: string
            description: Language code
            default: en
            title: Hl
          description: Language code
        - name: gl
          in: query
          required: false
          schema:
            type: string
            description: Country code
            default: us
            title: Gl
          description: Country code
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                title: Response Autocomplete V1 Google Autocomplete Get
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````